Debian 5 Lenny minimal auf V-Server geeignet für ISPConfig?

#1
Huhu zusammen,

nachdem ich nun mehrere fehlversuche hatte, wollte ich vor dem nächsten start mal nachfragen ob das überhaupt möglich ist.

ich nutze zur zeit einen vDRS Linux LARGE von Dogado mit 1500 MhZ CPU, 40000 MB Speicherplatz, 1024MB RAM.


LG


MHJ



Ich habs mal schnell durchgespielt und unter punkt 12 kommt folgendes:


apt-get install pure-ftpd-common pure-ftpd-mysql quota quotatool
Reading package lists... Done
Building dependency tree
Reading state information... Done
quota is already the newest version.
Recommended packages:
pure-ftpd
The following NEW packages will be installed:
pure-ftpd-common pure-ftpd-mysql quotatool
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 351kB of archives.
After this operation, 860kB of additional disk space will be used.
Get:1 http://ftp.debian.org stable/main pure-ftpd-common 1.0.21-11.4 [173kB]
Get:2 http://ftp.debian.org stable/main pure-ftpd-mysql 1.0.21-11.4 [161kB]
Get:3 http://ftp.debian.org stable/main quotatool 1.4.10-1 [17.6kB]
Fetched 351kB in 0s (653kB/s)
Preconfiguring packages ...
Selecting previously deselected package pure-ftpd-common.
(Reading database ... 25488 files and directories currently installed.)
Unpacking pure-ftpd-common (from .../pure-ftpd-common_1.0.21-11.4_all.deb) ...
Selecting previously deselected package pure-ftpd-mysql.
Unpacking pure-ftpd-mysql (from .../pure-ftpd-mysql_1.0.21-11.4_i386.deb) ...
Selecting previously deselected package quotatool.
Unpacking quotatool (from .../quotatool_1.4.10-1_i386.deb) ...
Processing triggers for man-db ...
Setting up pure-ftpd-common (1.0.21-11.4) ...
Setting up pure-ftpd-mysql (1.0.21-11.4) ...
Starting ftp server: Running: /usr/sbin/pure-ftpd-mysql-virtualchroot -l mysql:/etc/pure-ftpd/db/mysql.conf -l pam -O clf:/var/log/pure-ftpd/transfer.log -u 1000 -E -B
invoke-rc.d: initscript pure-ftpd-mysql, action "start" failed.
dpkg: error processing pure-ftpd-mysql (--configure):
subprocess post-installation script returned error exit status 252
Setting up quotatool (1.4.10-1) ...
Errors were encountered while processing:
pure-ftpd-mysql
[ Rootkit Hunter version 1.3.2 ]
File updated: searched for 153 files, found 114
E: Sub-process /usr/bin/dpkg returned an error code (1)


wenn ich weiter mache, habe ich das nächste problem.



apt-get install g++ libc6 gcc gawk make texinfo libmysqlclient15-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
libc6 is already the newest version.
gcc is already the newest version.
gcc set to manually installed.
make is already the newest version.
make set to manually installed.
The following extra packages will be installed:
g++-4.3 libstdc++6-4.3-dev zlib1g-dev
Suggested packages:
g++-multilib g++-4.3-multilib gcc-4.3-doc libstdc++6-4.3-dbg libstdc++6-4.3-doc
texinfo-doc-nonfree texlive-base texlive-generic-recommended texlive-latex-base
The following NEW packages will be installed:
g++ g++-4.3 gawk libmysqlclient15-dev libstdc++6-4.3-dev texinfo zlib1g-dev
0 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 13.6MB of archives.
After this operation, 43.3MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ftp.debian.org stable/main gawk 1:3.1.5.dfsg-4.1 [685kB]
Get:2 http://security.debian.org stable/updates/main libmysqlclient15-dev 5.0.51a-24+lenny1 [7198kB]
Get:3 http://ftp.debian.org stable/main texinfo 4.11.dfsg.1-4 [710kB]
Get:4 http://ftp.debian.org stable/main libstdc++6-4.3-dev 4.3.2-1.1 [1389kB]
Get:5 http://ftp.debian.org stable/main g++-4.3 4.3.2-1.1 [3414kB]
Get:6 http://ftp.debian.org stable/main g++ 4:4.3.2-2 [1368B]
Get:7 http://ftp.debian.org stable/main zlib1g-dev 1:1.2.3.3.dfsg-12 [157kB]
Fetched 13.6MB in 2min33s (88.3kB/s)
Selecting previously deselected package gawk.
(Reading database ... 25568 files and directories currently installed.)
Unpacking gawk (from .../gawk_1%3a3.1.5.dfsg-4.1_i386.deb) ...
Selecting previously deselected package texinfo.
Unpacking texinfo (from .../texinfo_4.11.dfsg.1-4_i386.deb) ...
Selecting previously deselected package libstdc++6-4.3-dev.
Unpacking libstdc++6-4.3-dev (from .../libstdc++6-4.3-dev_4.3.2-1.1_i386.deb) ...
Selecting previously deselected package g++-4.3.
Unpacking g++-4.3 (from .../g++-4.3_4.3.2-1.1_i386.deb) ...
Selecting previously deselected package g++.
Unpacking g++ (from .../g++_4%3a4.3.2-2_i386.deb) ...
Selecting previously deselected package zlib1g-dev.
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.3.dfsg-12_i386.deb) ...
Selecting previously deselected package libmysqlclient15-dev.
Unpacking libmysqlclient15-dev (from .../libmysqlclient15-dev_5.0.51a-24+lenny1_i386.deb) ...
Processing triggers for man-db ...
Setting up pure-ftpd-mysql (1.0.21-11.4) ...
Starting ftp server: Running: /usr/sbin/pure-ftpd-mysql-virtualchroot -l mysql:/etc/pure-ftpd/db/mysql.conf -l pam -O clf:/var/log/pure-ftpd/transfer.log -u 1000 -E -B
invoke-rc.d: initscript pure-ftpd-mysql, action "start" failed.
dpkg: error processing pure-ftpd-mysql (--configure):
subprocess post-installation script returned error exit status 252
Setting up gawk (1:3.1.5.dfsg-4.1) ...
Setting up texinfo (4.11.dfsg.1-4) ...
Setting up zlib1g-dev (1:1.2.3.3.dfsg-12) ...
Setting up libmysqlclient15-dev (5.0.51a-24+lenny1) ...
Setting up g++-4.3 (4.3.2-1.1) ...
Setting up libstdc++6-4.3-dev (4.3.2-1.1) ...
Setting up g++ (4:4.3.2-2) ...
Errors were encountered while processing:
pure-ftpd-mysql
[ Rootkit Hunter version 1.3.2 ]
File updated: searched for 153 files, found 114
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Zuletzt bearbeitet:
#4
würde ich ja gerne, bekomme da aber immer eine fehlermeldung beim ausführen von "apt-get source pure-ftpd"


E: You must put some 'source' URIs in your sources.list

Damit kann ich leider garnix anfangen.
Suchen im netz haben mir bisher auch nicht weitergholfen.


LG

MHJ
 
#5
schau mal in deine sources.list. Die sollte folgende Zeilen umfassen.

Code:
deb-src http://ftp.de.debian.org/debian lenny main contrib non-free[FONT=Helvetica,Arial][COLOR=#000000]
deb-src http://security.debian.org/ lenny/updates main
[/COLOR][/FONT]
Wenn du den Sourcecode dort nicht findest schau mal auf der Seite von Proftpd, dort konnte man den auch direkt runterladen.
 

planet_fox

Super-Moderator
#6
Also ich hab in meiner sourcelist folgendes drin und es klappt,

Code:
#deb http://ftp.de.debian.org/debian etch main contrib non-free
#deb http://ftp.de.debian.org/debian-volatile etch/volatile main contrib non-fre                                                                             e
#deb http://ftp.de.debian.org/debian-security etch/updates main contrib non-free

deb http://ftp2.de.debian.org/debian/ lenny main
deb-src http://ftp2.de.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main contrib
deb-src http://security.debian.org/ lenny/updates main contrib


#deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-                                                                             free
Aber ich werde noch mal sehen ob eine anpassung erforderlich um deb-source zu nutzen.
 
#7
upsie, wo isser hin der beitrag :confused::confused:

dann hier noch einmal.


folgenden fehler bekommeich bei root@ve926763259:/etc/courier# apt-get source pure-ftpd
Reading package lists... Done
Building dependency tree
Reading state information... Done
Need to get 631kB of source archives.
Get:1 http://ftp2.de.debian.org lenny/main pure-ftpd 1.0.21-11.4 (dsc) [1284B]
Get:2 http://ftp2.de.debian.org lenny/main pure-ftpd 1.0.21-11.4 (tar) [588kB]
Get:3 http://ftp2.de.debian.org lenny/main pure-ftpd 1.0.21-11.4 (diff) [41.6kB]
Fetched 631kB in 0s (2877kB/s)
sh: dpkg-source: command not found
Unpack command 'dpkg-source -x pure-ftpd_1.0.21-11.4.dsc' failed.
Check if the 'dpkg-dev' package is installed.
E: Child process failed

wie kann das denn sein?
 
Zuletzt bearbeitet:
#9
ich mach jetzt mal ne neuinstall mit minimal installation.
dann melde ich mich ab dem 1.ten fehler wieder und hoffe es liest jemand mit.

ich kopiere die sourcelist von planet fox
und starte mit apt-get update
apt-get upgrade
apt-get install ntp ntpdate
alles okay , keine fehler

apt-get install postfix postfix-mysql postfix-doc mysql-client mysql-server courier-authdaemon courier-authlib-mysql courier-pop courier-pop-ssl courier-imap courier-imap-ssl libsasl2-2 libsasl2-modules libsasl2-modules-sql sasl2-bin libpam-mysql openssl courier-maildrop getmail4 rkhunter binutils

4 to remove ???


ist das wichtig??? ALERT: exim paniclog /var/log/exim4/paniclog has non-zero size, mail system possibly broken failed!


/etc/init.d/mysql restart ohne fehler


mkimapdcert
mkpop3dcert

/etc/init.d/courier-imap-ssl restart
/etc/init.d/courier-pop-ssl restart

funzt ohne prob


apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzip bzip2 arj nomarch lzop cabextract apt-listchanges libnet-ldap-perl libauthen-sasl-perl clamav-docs daemon libio-string-perl libio-socket-ssl-perl libnet-ident-perl zip libnet-dns-perl

lief durch ohne probs.


apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd php5-mysql php5-imap phpmyadmin php5-cli php5-cgi libapache2-mod-fcgid apache2-suexec php-pear php-auth php5-mcrypt mcrypt php5-imagick imagemagick libapache2-mod-suphp

auch okay


bis /etc/init.d/apache2 restart

noch ohne fehler.

Nun wäre es an der zeit für mich einen tipp zu bekommen.
führe ich erst apt-get install pure-ftpd-common pure-ftpd-mysql quota quotatool aus? wird einen fehler verursachen
oder folge ich dem howto für vserver um pure-ftpd erfolgreich zu installieren?
 
Zuletzt bearbeitet:
#14
@Till
bis jetzt ja,
leider verursacht ein weitermachen mit apt-get install pure-ftpd-common pure-ftpd-mysql quota quotatool oder apt-get source pure-ftpd einen Fehler.
Daher die Frage was mache ich als nächstes?
 
Zuletzt bearbeitet:
#15
Hab nun soweit alles am laufen,

2 probs sind noch übrig geblieben.

1.clamav aktualisiertsich nicht selbständig und ist daher veraltet.

2. was viel schlimmer ist , myDNS-Server: Offline

wenn da jemand einen tipp hätte wie ich den online bekommen kann :D
 

planet_fox

Super-Moderator
#16
Hab nun soweit alles am laufen,


1.clamav aktualisiertsich nicht selbständig und ist daher veraltet.
Das ist normal, das liegt daran das unter Debian die aktuelle version von clamav verfügbar ist.

2. was viel schlimmer ist , myDNS-Server: Offline
hm, mach mal ein einen restart und schau ob er dann wieder abstürzt. Dann müsstest mal schaun wie die arbeitspeicherauslastung ist.
 
#17
werde ich gleich mal probieren, momentan läuft aber noch ein datentransfer zum server, den muß ich erst noch abwarten.


So, server ist neu gestartet, mal schauen wie lange es dauert bis der Monitor wieder meckert :D
 
Zuletzt bearbeitet:
#18
Mir ist da gerade noch was eingefallen was vielleicht damit zusammenhängt.

update-rc.d mydns defaults

verursacht diese ausgabe.

update-rc.d: warning: /etc/init.d/mydns missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
System startup links for /etc/init.d/mydns already exist.


Serverneustart hat leider nix gebracht.
der fehler bleibt bestehen.

Denke mal hab den fehler nun gefunden.
im howto sind zu viele leerzeichen oder tabs drinne.
löscht man die im mydns script raus funzt es wunderbar.
 
Zuletzt bearbeitet:

Werbung

Top